{*******************************************************
 * Demo1 application                                   *
 *                                                     *
 * This sample show how to use the AVLock Lite         *
 * component with only one line of code.               *
 *                                                     *
 *     Part of the AVLock Lite package                 *
 *     (c) Alcides Valega, 2001 - 2003                 *
 *******************************************************}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls, shellapi, StdCtrls, AVLockLite, jpeg;

type
  TForm1 = class(TForm)
    M1: TMainMenu;
    Archivos1: TMenuItem;
    Salir1: TMenuItem;
    About1: TMenuItem;
    AboutAVLockLite1: TMenuItem;
    Image1: TImage;
    Registration1: TMenuItem;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    LUserName: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    LCompany: TLabel;
    AVLockLite1: TAVLockLite;
    LICode: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    LStatus: TLabel;
    LDays: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    LExpiry: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Salir1Click(Sender: TObject);
    procedure AboutAVLockLite1Click(Sender: TObject);
    procedure Registration1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure settext;
  end;

var
  Form1: TForm1;
  txt : string;

implementation

{$R *.DFM}

procedure TForm1.settext;
var stat,days,enddate:string;
begin
  if avlocklite1.Registered then stat:='Registered'
  else if avlocklite1.Authorized then stat:='Authorized'
  else stat:='Trial';
  if avlocklite1.Expired then stat:=stat+', expired';
  if avlocklite1.registered then begin
    days:='N/A';;
    enddate:='N/A';
  end else begin
    days:=IntToStr(trunc(avlocklite1.begindate+avlocklite1.days-now+1));
    enddate:=datetostr(avlocklite1.EndDate);
  end;

  LUserName.caption:= avlocklite1.UserName;
  LCompany.caption := avlocklite1.Company;
  LICode.caption   := avlocklite1.InstallCode;
  LStatus.caption  := stat;
  LDays.caption    := days;
  LExpiry.caption  := enddate;


end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  avlocklite1.execute;
  settext;
end;


procedure TForm1.Salir1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.AboutAVLockLite1Click(Sender: TObject);
begin
  ShowMessage('Demo application for AVLock Lite component'+#13#10+
  'Copyright (c) Alcides Valega 2001 - 2003');
end;

procedure TForm1.Registration1Click(Sender: TObject);
begin
  if AVLocklite1.doexecute then settext;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=174347&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=174348&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;


procedure TForm1.Image1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('http://www.avsoft.sitio.net'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

end.
